<?php

namespace Insign\PostCore\Model\Config\Source\Barcode;

/**
 * @api
 * @since 100.0.2
 */
class PrintAddresses implements \Magento\Framework\Data\OptionSourceInterface
{
    /**
     * Options getter
     *
     * @return array
     */
    public function toOptionArray(): array
    {
        return [
            ['value' => 'NONE', 'label' => 'None'],
            ['value' => 'ONLY_RECIPIENT', 'label' => 'OnlyRecipient'],
            ['value' => 'ONLY_CUSTOMER', 'label' => 'OnlyCustomer'],
            ['value' => 'RECIPIENT_AND_CUSTOMER', 'label' => 'RecipientAndCustomer']
        ];
    }
}


