<?php
namespace Insign\PostCore\Plugin;

class StreetSuggestions
{

    /**
     * @param $subject
     * @param $result
     * @return array
     */
    public function afterProcess($subject, $result): array
    {
        $this->changeStreetComponent($result['components']['checkout']['children']['steps']['children']['shipping-step']['children']['shippingAddress']['children']['shipping-address-fieldset']['children']['street']['children'][0]);

        return $result;
    }

    private function changeStreetComponent(&$street0): void
    {
        $street0['component'] = 'Insign_PostCore/js/form/element/suggestions';
        $street0['config']['elementTmpl'] = 'Insign_PostCore/form/element/suggestions';
        $street0['config']['valueKey'] = 'text';
        $street0['config']['minResults'] = 2;
        $street0['config']['minValueLength'] = 3;
        $street0['config']['urlConfig'] = array('default' => '/address/api-autocomplete-street');
    }

}
